package com.brilliance.isc.common.nosmod;

import com.brilliance.isc.common.nosmod.vo.Nosmod;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import com.brilliance.isc.common.trnmod.vo.TrnmodVo;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @program: isc-core
 * @ClassName: NosmodService
 * @description:
 * @author: huangshunlin
 * @create: 2024-10-18 20:42
 */
public interface NosmodService {
    void cbsNostroStore(Nosmod nosmod, String cbt, String extid, String trninr, Date dat, String actcur, BigDecimal amt, String nam, String acc, Object obj);

    boolean isSavNostroCbs(SetmodVo setmodVo);

    int getNosRowInSetgll(SetmodVo setmodVo);

    void savNostroCbs(Nosmod nosmod, String trninr, String actcur, BigDecimal amt, String acc, Date dat, String nam, Object obj);

    void savNostro(Nosmod nosmod, SetmodVo setmodVo, TrnmodVo trnmodVo);
}
